Skip to Content
veriom

Get control room

GET
/v1/workspaces/{workspace_id}/control-room

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
architecture_intent?
calculation_version?Calculation Version
Default"control-room-v1"
generated_at*Generated At
Formatdate-time
match_suggestions*array<>
outcomes*
recent_transitions*array<>
recurring_findings*array<>
snapshots*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/control-room'
Example Response
{  "architecture_intent": {    "assessments": [      {        "comparison_id": "3b27d395-1e6b-479b-baa5-81329cfca144",        "coverage_scope": {          "coverage_unknown_count": 0,          "eligible_covered_count": 0,          "eligible_element_count": 0,          "observed_element_count": 0        },        "element_names": {          "property1": "string",          "property2": "string"        },        "evidence": [          {            "attributes": {              "property1": "string",              "property2": "string"            },            "content_sha256": "string",            "evidence_kind": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "location": {              "end_column": 1,              "end_line": 1,              "path": "string",              "start_column": 1,              "start_line": 1            },            "object": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "observed_at": "2019-08-24T14:15:22Z",            "provider": "string",            "relationship_kind": "string",            "source_ref": "string",            "source_type": "code",            "subject": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "summary": "string"          }        ],        "intent_title": "string",        "maximum_age_seconds": 0,        "minimum_observed_confidence": 0,        "plans": [          {            "baseline_progress": {              "checks": [                {                  "criterion": {                    "id": "string",                    "predicate": {                      "allowed_source_keys": [                        "string"                      ],                      "attribute": "string",                      "expected": "string",                      "key": "string",                      "kind": "entity_present",                      "relationship_kinds": [                        "string"                      ],                      "required_sources": [                        "code"                      ]                    },                    "title": "string"                  },                  "result": {                    "affected_keys": [                      "string"                    ],                    "collection_refs": [                      "string"                    ],                    "detail": "string",                    "evidence_ids": [                      "973ab5a6-b373-447d-ab9d-bdb660b35afc"                    ],                    "outcome": "holds"                  }                }              ],              "evaluated_at": "2019-08-24T14:15:22Z",              "evidence": [                {                  "attributes": {                    "property1": "string",                    "property2": "string"                  },                  "content_sha256": "string",                  "evidence_kind": "string",                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                  "location": {                    "end_column": 1,                    "end_line": 1,                    "path": "string",                    "start_column": 1,                    "start_line": 1                  },                  "object": {                    "attributes": {                      "property1": "string",                      "property2": "string"                    },                    "key": "string",                    "kind": "repository",                    "name": "string"                  },                  "observed_at": "2019-08-24T14:15:22Z",                  "provider": "string",                  "relationship_kind": "string",                  "source_ref": "string",                  "source_type": "code",                  "subject": {                    "attributes": {                      "property1": "string",                      "property2": "string"                    },                    "key": "string",                    "kind": "repository",                    "name": "string"                  },                  "summary": "string"                }              ],              "observed_at": "2019-08-24T14:15:22Z",              "progress": 0,              "satisfied": 0,              "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",              "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",              "total": 1,              "unknown": 0,              "unknown_fraction": 0,              "verified_complete": true,              "violated": 0,              "weighting": "One equal share per distinct assertion; unknowns stay in the denominator."            },            "baseline_snapshot_id": "52737707-07c6-4939-8e33-14d360aab527",            "baseline_version_id": "c411484f-87ef-4e66-9c9d-aae059a6c1db",            "due_at": "2019-08-24T14:15:22Z",            "due_timezone": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "owner_name": "string",            "progress": {              "checks": [                {                  "criterion": {                    "id": "string",                    "predicate": {                      "allowed_source_keys": [                        "string"                      ],                      "attribute": "string",                      "expected": "string",                      "key": "string",                      "kind": "entity_present",                      "relationship_kinds": [                        "string"                      ],                      "required_sources": [                        "code"                      ]                    },                    "title": "string"                  },                  "result": {                    "affected_keys": [                      "string"                    ],                    "collection_refs": [                      "string"                    ],                    "detail": "string",                    "evidence_ids": [                      "973ab5a6-b373-447d-ab9d-bdb660b35afc"                    ],                    "outcome": "holds"                  }                }              ],              "evaluated_at": "2019-08-24T14:15:22Z",              "evidence": [                {                  "attributes": {                    "property1": "string",                    "property2": "string"                  },                  "content_sha256": "string",                  "evidence_kind": "string",                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                  "location": {                    "end_column": 1,                    "end_line": 1,                    "path": "string",                    "start_column": 1,                    "start_line": 1                  },                  "object": {                    "attributes": {                      "property1": "string",                      "property2": "string"                    },                    "key": "string",                    "kind": "repository",                    "name": "string"                  },                  "observed_at": "2019-08-24T14:15:22Z",                  "provider": "string",                  "relationship_kind": "string",                  "source_ref": "string",                  "source_type": "code",                  "subject": {                    "attributes": {                      "property1": "string",                      "property2": "string"                    },                    "key": "string",                    "kind": "repository",                    "name": "string"                  },                  "summary": "string"                }              ],              "observed_at": "2019-08-24T14:15:22Z",              "progress": 0,              "satisfied": 0,              "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",              "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",              "total": 1,              "unknown": 0,              "unknown_fraction": 0,              "verified_complete": true,              "violated": 0,              "weighting": "One equal share per distinct assertion; unknowns stay in the denominator."            },            "revision": 0,            "status": "planned",            "subject_keys": [              "string"            ],            "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",            "title": "string",            "verification_snapshot_id": "74f30134-8da5-4b8c-b107-2de86c3f7115",            "verified_at": "2019-08-24T14:15:22Z"          }        ],        "published_number": 0,        "ratified_at": "2019-08-24T14:15:22Z",        "ratified_by_name": "string",        "required_confidence": 0,        "result": {          "covered_element_count": 0,          "decisions": [            {              "checks": [                {                  "affected_keys": [                    "string"                  ],                  "collection_refs": [                    "string"                  ],                  "detail": "string",                  "evidence_ids": [                    "973ab5a6-b373-447d-ab9d-bdb660b35afc"                  ],                  "outcome": "holds"                }              ],              "decision_id": "string",              "outcome": "accepted_by_design"            }          ],          "evaluated_at": "2019-08-24T14:15:22Z",          "evaluator_version": "1.0.0",          "expected_element_count": 0,          "findings": [            {              "collection_refs": [                "string"              ],              "decision_id": "string",              "detail": "string",              "drift_class": "unintended_presence",              "evidence_ids": [                "973ab5a6-b373-447d-ab9d-bdb660b35afc"              ],              "fingerprint": "string",              "first_observed_at": "2019-08-24T14:15:22Z",              "observed_at": "2019-08-24T14:15:22Z",              "plan_ids": [                "a42662e1-2be7-4ff1-add9-7e2508a85039"              ],              "retroactive": false,              "rule_id": "string",              "subject_keys": [                "string"              ],              "title": "string"            }          ],          "intent_content_sha256": "string",          "intent_coverage": 0,          "intent_version_id": "62989457-cfaa-4fbe-b5d4-02c9f2893753",          "observed_at": "2019-08-24T14:15:22Z",          "observed_element_count": 0,          "outcome": "aligned",          "satisfied_element_count": 0,          "schema_version": "intent-comparison-v1",          "scope_key": "string",          "truth_snapshot_id": "d3983c92-fcf9-4e2d-ae38-7a594c771cfa",          "uncertainty": [            {              "affected_keys": [                "string"              ],              "collection_refs": [                "string"              ],              "detail": "string",              "evidence_ids": [                "973ab5a6-b373-447d-ab9d-bdb660b35afc"              ],              "outcome": "holds"            }          ],          "unknown_element_count": 0        },        "scope": {          "branch_ref": "string",          "environment": "string",          "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",          "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"        },        "source_coverage": [          {            "bounded": false,            "collection_refs": [              "string"            ],            "covered_key_prefixes": [              "string"            ],            "covered_keys": [              "string"            ],            "observed_at": "2019-08-24T14:15:22Z",            "scope_key": "string",            "source": "code",            "status": "complete"          }        ]      }    ],    "enabled": false,    "finding_counts": {      "property1": 0,      "property2": 0    },    "has_more": false,    "unassessed_scopes": 0,    "uncertainty_count": 0  },  "calculation_version": "control-room-v1",  "generated_at": "2019-08-24T14:15:22Z",  "match_suggestions": [    {      "algorithm_version": "string",      "created_at": "2019-08-24T14:15:22Z",      "decided_at": "2019-08-24T14:15:22Z",      "decided_by": "4accc021-c0cc-4c2c-8a78-605a0ed6da31",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "left_finding_id": "ab2a9365-93af-4416-a93b-fd7875de25e2",      "method": "string",      "rationale": "string",      "review": {        "can_decide": false,        "differences": [          "string"        ],        "left": {          "adjudication_version": "string",          "architecture_confidence": "0",          "architecture_disposition": "pending",          "architecture_impact": "critical",          "architecture_link": {            "object_count": 0,            "objects": [              {                "key": "string",                "kind": "string",                "kind_label": "string",                "name": "string"              }            ],            "reason": "string",            "state": "linked"          },          "architecture_reason": "string",          "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",          "audit_status": "string",          "auto_disposition": false,          "business_impact": "urgent",          "component_identity": "string",          "conclusion_confidence": "string",          "cvss_score": "string",          "description": "string",          "evidence_count": 0,          "evidence_revision": "string",          "finding_class": "scanner_vulnerability",          "finding_class_label": "string",          "finding_group": "security",          "fingerprint_algorithm_version": "finding-v1",          "hypothesis": false,          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "identity_fingerprint": "string",          "impact_conclusion": "confirmed",          "last_seen_at": "2019-08-24T14:15:22Z",          "lifecycle_started_at": "2019-08-24T14:15:22Z",          "lifecycle_state": "new",          "lifecycle_updated_at": "2019-08-24T14:15:22Z",          "lifecycle_version": 1,          "locations": [            {}          ],          "mappings": {            "property1": [              "string"            ],            "property2": [              "string"            ]          },          "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",          "proof_grade": "candidate",          "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",          "repository_name": "string",          "risk_severity": "string",          "risk_total": "string",          "rule_id": "string",          "scanner_severity": "string",          "severity_source": "cvss",          "sla_due_at": "2019-08-24T14:15:22Z",          "source_family": "scanner",          "source_label": "string",          "source_tools": [            {              "rule_id": "string",              "tool": "string",              "version": "string"            }          ],          "state": "new",          "structural_contract_version": "string",          "structural_layer": "string",          "structural_root_cause_id": "51d97e66-655e-47cc-b147-d97f2b4d419b",          "taxonomy_snapshot_id": "487bda72-1129-4a41-8441-bc24f9e8006b",          "title": "string",          "tool": "string",          "work_status": "open"        },        "matching_signals": [          "string"        ],        "right": {          "adjudication_version": "string",          "architecture_confidence": "0",          "architecture_disposition": "pending",          "architecture_impact": "critical",          "architecture_link": {            "object_count": 0,            "objects": [              {                "key": "string",                "kind": "string",                "kind_label": "string",                "name": "string"              }            ],            "reason": "string",            "state": "linked"          },          "architecture_reason": "string",          "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",          "audit_status": "string",          "auto_disposition": false,          "business_impact": "urgent",          "component_identity": "string",          "conclusion_confidence": "string",          "cvss_score": "string",          "description": "string",          "evidence_count": 0,          "evidence_revision": "string",          "finding_class": "scanner_vulnerability",          "finding_class_label": "string",          "finding_group": "security",          "fingerprint_algorithm_version": "finding-v1",          "hypothesis": false,          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "identity_fingerprint": "string",          "impact_conclusion": "confirmed",          "last_seen_at": "2019-08-24T14:15:22Z",          "lifecycle_started_at": "2019-08-24T14:15:22Z",          "lifecycle_state": "new",          "lifecycle_updated_at": "2019-08-24T14:15:22Z",          "lifecycle_version": 1,          "locations": [            {}          ],          "mappings": {            "property1": [              "string"            ],            "property2": [              "string"            ]          },          "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",          "proof_grade": "candidate",          "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",          "repository_name": "string",          "risk_severity": "string",          "risk_total": "string",          "rule_id": "string",          "scanner_severity": "string",          "severity_source": "cvss",          "sla_due_at": "2019-08-24T14:15:22Z",          "source_family": "scanner",          "source_label": "string",          "source_tools": [            {              "rule_id": "string",              "tool": "string",              "version": "string"            }          ],          "state": "new",          "structural_contract_version": "string",          "structural_layer": "string",          "structural_root_cause_id": "51d97e66-655e-47cc-b147-d97f2b4d419b",          "taxonomy_snapshot_id": "487bda72-1129-4a41-8441-bc24f9e8006b",          "title": "string",          "tool": "string",          "work_status": "open"        },        "summary": "string",        "unavailable_reason": "string"      },      "right_finding_id": "04e9a9b0-eb9d-42f5-b48d-e87078ac0e25",      "similarity": "string",      "state": "pending"    }  ],  "outcomes": {    "baseline_review_time_hours": "string",    "current_review_time_hours": "string",    "decision_sample_size": 0,    "duplicates_collapsed": 0,    "false_positives_removed": 0,    "measurement_status": "measuring",    "remediation_speed_hours": "string",    "review_time_saved_hours": "string",    "verified_remediations": 0,    "window": "30d"  },  "recent_transitions": [    {      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",      "created_at": "2019-08-24T14:15:22Z",      "evidence_ids": [        "string"      ],      "expires_at": "2019-08-24T14:15:22Z",      "finding_id": "feebf65a-2eaa-4fae-aab2-772450efdffe",      "from_state": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "metadata_json": {},      "reason": "string",      "supersedes_transition_id": "f9ff0de1-fe00-468e-90d4-e52542ee49f3",      "to_state": "new",      "verification_audit_id": "cef6c8ad-7eed-4189-9f94-26d2342cdd25",      "version": 0    }  ],  "recurring_findings": [    {      "adjudication_version": "string",      "architecture_confidence": "0",      "architecture_disposition": "pending",      "architecture_impact": "critical",      "architecture_link": {        "object_count": 0,        "objects": [          {            "key": "string",            "kind": "string",            "kind_label": "string",            "name": "string"          }        ],        "reason": "string",        "state": "linked"      },      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "auto_disposition": false,      "business_impact": "urgent",      "component_identity": "string",      "conclusion_confidence": "string",      "cvss_score": "string",      "evidence_revision": "string",      "finding_class": "scanner_vulnerability",      "finding_class_label": "string",      "finding_group": "security",      "fingerprint_algorithm_version": "finding-v1",      "hypothesis": false,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "identity_fingerprint": "string",      "impact_conclusion": "confirmed",      "last_seen_at": "2019-08-24T14:15:22Z",      "lifecycle_started_at": "2019-08-24T14:15:22Z",      "lifecycle_state": "new",      "lifecycle_updated_at": "2019-08-24T14:15:22Z",      "lifecycle_version": 1,      "locations": [        {}      ],      "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",      "proof_grade": "candidate",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "risk_severity": "string",      "risk_total": "string",      "rule_id": "string",      "scanner_severity": "string",      "severity_source": "cvss",      "sla_due_at": "2019-08-24T14:15:22Z",      "source_family": "scanner",      "source_label": "string",      "source_tools": [        {          "rule_id": "string",          "tool": "string",          "version": "string"        }      ],      "state": "new",      "structural_contract_version": "string",      "structural_layer": "string",      "structural_root_cause_id": "51d97e66-655e-47cc-b147-d97f2b4d419b",      "taxonomy_snapshot_id": "487bda72-1129-4a41-8441-bc24f9e8006b",      "title": "string",      "tool": "string",      "work_status": "open"    }  ],  "snapshots": [    {      "architecture_impact_counts": {        "property1": 0,        "property2": 0      },      "as_of": "2019-08-24T14:15:22Z",      "calculation_version": "string",      "counts": {        "property1": 0,        "property2": 0      },      "freshness_percent": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "mttr_hours": "string",      "recurring_count": 0,      "score": "string",      "severity_counts": {        "property1": 0,        "property2": 0      },      "source_transition_version": 0,      "time_to_decision_hours": "string",      "window": "24h"    }  ]}